package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

import java.util.Date;

public class Armorgteach extends BaseModel {


    /** 武装机构ID */
    @ModelAnnotation(getName="武装机构ID",column = "armtrainorgid")
    private Long armtrainorgid;

    /** 姓名 */
    @ModelAnnotation(getName="姓名",column = "jyname")
    private String jyname;

    /** 身份证号 */
    @ModelAnnotation(getName="身份证号",column = "jyidnum")
    private String jyidnum;

    /** 性别 */
    @ModelAnnotation(getName="性别",column = "jysex")
    private String jysex;

    /** 年龄 */
    @ModelAnnotation(getName="年龄",column = "jyage")
    private String jyage;

    /** 持枪证号 */
    @ModelAnnotation(getName="持枪证号",column = "jygunnum")
    private String jygunnum;

    /**
     * 审查状态
     */
    @ModelAnnotation(getName="审查状态",column = "censorstatus")
    private String censorstatus;


    public String getCensorstatus() {
        return censorstatus;
    }

    public void setCensorstatus(String censorstatus) {
        this.censorstatus = censorstatus;
    }

    /**
     *
     * 获取  武装机构ID
     *
     * @return  armtrainorgid
     */
    public Long getArmtrainorgid() {
        return armtrainorgid;
    }

    /**
     *
     * 设置  武装机构ID
     *
     * @param armtrainorgid
     */
    public void setArmtrainorgid(Long armtrainorgid) {
        this.armtrainorgid = armtrainorgid;
    }

    /**
     *
     * 获取  姓名
     *
     * @return  jyname
     */
    public String getJyname() {
        return jyname;
    }

    /**
     *
     * 设置  姓名
     *
     * @param jyname
     */
    public void setJyname(String jyname) {
        this.jyname = jyname == null ? null : jyname.trim();
    }

    /**
     *
     * 获取  身份证号
     *
     * @return  jyidnum
     */
    public String getJyidnum() {
        return jyidnum;
    }

    /**
     *
     * 设置  身份证号
     *
     * @param jyidnum
     */
    public void setJyidnum(String jyidnum) {
        this.jyidnum = jyidnum == null ? null : jyidnum.trim();
    }

    /**
     *
     * 获取  性别
     *
     * @return  jysex
     */
    public String getJysex() {
        return jysex;
    }

    /**
     *
     * 设置  性别
     *
     * @param jysex
     */
    public void setJysex(String jysex) {
        this.jysex = jysex == null ? null : jysex.trim();
    }

    /**
     *
     * 获取  年龄
     *
     * @return  jyage
     */
    public String getJyage() {
        return jyage;
    }

    /**
     *
     * 设置  年龄
     *
     * @param jyage
     */
    public void setJyage(String jyage) {
        this.jyage = jyage == null ? null : jyage.trim();
    }

    /**
     *
     * 获取  持枪证号
     *
     * @return  jygunnum
     */
    public String getJygunnum() {
        return jygunnum;
    }

    /**
     *
     * 设置  持枪证号
     *
     * @param jygunnum
     */
    public void setJygunnum(String jygunnum) {
        this.jygunnum = jygunnum == null ? null : jygunnum.trim();
    }
}